/**
 * \file
 *
 * \brief Empty user application template
 *
 */

/**
 * \mainpage User Application template doxygen documentation
 *
 * \par Empty user application template
 *
 * Bare minimum empty user application template
 *
 * \par Content
 *
 * -# Include the ASF header files (through asf.h)
 * -# Minimal main function that starts with a call to system_init()
 * -# "Insert application code here" comment
 *
 */

/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
#include <asf.h>



int main (void)
{
	system_init();
	
	PortGroup *pg;
	
	pg = &PORTB;
	
	struct port_config pc;
	
	/* Set PB14 and PB15 as output */
	port_get_config_defaults(&pc);
	pc.direction = PORT_PIN_DIR_OUTPUT;
	port_pin_set_config(PIN_PB15, &pc);
	port_pin_set_config(PIN_PB14, &pc);
	
	pg->PINCFG[14].bit.PMUXEN = 1;
	pg->PMUX[7].bit.PMUXE = 7;
	
	pg->PINCFG[15].bit.PMUXEN = 1;
	pg->PMUX[7].bit.PMUXO = 7;
	
	
	while(1)
	{
		/*  Funktion liefert eingestellten 16 MHz zurck
		 *  DSO am Portpin zeigt allerdings 31 MHz 
		 */
		uint32_t freq = system_clock_source_get_hz(SYSTEM_CLOCK_SOURCE_DFLL);
	}
}
